# spot-serverのコマンドラインによる書き込み

## esptool

Esptool.py Documentation - ESP32 - — esptool.py latest documentation
https://docs.espressif.com/projects/esptool/en/latest/esp32/

## コマンド

```
esptool --chip esp32 --port ＜シリアルポート＞ --baud 921600 --before default_reset --after hard_reset write_flash -z --flash_mode qio --flash_freq 80m --flash_size 16MB 0x1000 spot-server.ino.bootloader.bin 0x8000 spot-server.ino.partitions.bin 0xe000 boot_app0.bin 0x10000 spot-server.ino.bin 0x100000 spot-server.littlefs.bin
```

## 付録

### もし失敗する場合は、下記を試す

- `--flash_mode qio` を `--flash_mode dio` に変更
- `--flash_freq 80m` を `--flash_freq 40m` に変更
- `--baud 921600` を `--baud 460800` に変更

### 適用したパーティションテーブル

``` partitions.csv
# TWELITE SPOT 2MB with 1MB LittleFS
# Name,  Type, SubType, Offset,   Size,     Flags
nvs,     data, nvs,     0x9000,   0x5000,
otadata, data, ota,     0xE000,   0x2000,
app0,    app,  ota_0,   0x10000,  0xF0000,
spiffs,  data, spiffs,  0x100000, 0x100000,
```
